import { CSSProperties } from 'vue';
import { ConnectionLineType, EdgeType } from '~/types';
declare const _default: import("vue").DefineComponent<{
    edgeTypes: {
        type: import("vue").PropType<Record<string, EdgeType>>;
        required: true;
    };
    connectionLineType: {
        type: import("vue").PropType<ConnectionLineType | undefined>;
    } & {
        default: ConnectionLineType;
    };
    connectionLineStyle: {
        type: import("vue").PropType<CSSProperties | undefined>;
    };
    arrowHeadColor: {
        type: import("vue").PropType<string | undefined>;
    } & {
        default: string;
    };
    markerEndId: {
        type: import("vue").PropType<string | undefined>;
    };
    edgeUpdaterRadius: {
        type: import("vue").PropType<number | undefined>;
    } & {
        default: number;
    };
}, () => void, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    edgeTypes?: unknown;
    connectionLineType?: unknown;
    connectionLineStyle?: unknown;
    arrowHeadColor?: unknown;
    markerEndId?: unknown;
    edgeUpdaterRadius?: unknown;
} & {
    edgeTypes: Record<string, EdgeType>;
    connectionLineType: ConnectionLineType | undefined;
    arrowHeadColor: string | undefined;
    edgeUpdaterRadius: number | undefined;
} & {
    markerEndId?: string | undefined;
    connectionLineStyle?: CSSProperties | undefined;
}>, {
    connectionLineType: ConnectionLineType | undefined;
    arrowHeadColor: string | undefined;
    edgeUpdaterRadius: number | undefined;
}>;
export default _default;
