import { KeyCode, PanOnScrollMode } from '~/types';
declare const _default: import("vue").DefineComponent<{
    selectionKeyCode: {
        type: import("vue").PropType<KeyCode | undefined>;
    } & {
        default: string;
    };
    zoomActivationKeyCode: {
        type: import("vue").PropType<KeyCode | undefined>;
    } & {
        default: string;
    };
    paneMoveable: {
        type: import("vue").PropType<boolean | undefined>;
    } & {
        default: boolean;
    };
    defaultZoom: {
        type: import("vue").PropType<number | undefined>;
    } & {
        default: number;
    };
    defaultPosition: {
        type: import("vue").PropType<[number, number] | undefined>;
    } & {
        default: () => number[];
    };
    zoomOnScroll: {
        type: import("vue").PropType<boolean | undefined>;
    } & {
        default: boolean;
    };
    zoomOnPinch: {
        type: import("vue").PropType<boolean | undefined>;
    } & {
        default: boolean;
    };
    panOnScroll: {
        type: import("vue").PropType<boolean | undefined>;
    } & {
        default: boolean;
    };
    panOnScrollSpeed: {
        type: import("vue").PropType<number | undefined>;
    } & {
        default: number;
    };
    panOnScrollMode: {
        type: import("vue").PropType<PanOnScrollMode | undefined>;
    } & {
        default: PanOnScrollMode;
    };
    zoomOnDoubleClick: {
        type: import("vue").PropType<boolean | undefined>;
    } & {
        default: boolean;
    };
}, () => void, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    selectionKeyCode?: unknown;
    zoomActivationKeyCode?: unknown;
    paneMoveable?: unknown;
    defaultZoom?: unknown;
    defaultPosition?: unknown;
    zoomOnScroll?: unknown;
    zoomOnPinch?: unknown;
    panOnScroll?: unknown;
    panOnScrollSpeed?: unknown;
    panOnScrollMode?: unknown;
    zoomOnDoubleClick?: unknown;
} & {
    selectionKeyCode: KeyCode | undefined;
    zoomActivationKeyCode: KeyCode | undefined;
    paneMoveable: boolean | undefined;
    defaultZoom: number | undefined;
    defaultPosition: [number, number] | undefined;
    zoomOnScroll: boolean | undefined;
    zoomOnPinch: boolean | undefined;
    panOnScroll: boolean | undefined;
    panOnScrollSpeed: number | undefined;
    panOnScrollMode: PanOnScrollMode | undefined;
    zoomOnDoubleClick: boolean | undefined;
} & {}>, {
    selectionKeyCode: KeyCode | undefined;
    zoomActivationKeyCode: KeyCode | undefined;
    paneMoveable: boolean | undefined;
    defaultZoom: number | undefined;
    defaultPosition: [number, number] | undefined;
    zoomOnScroll: boolean | undefined;
    zoomOnPinch: boolean | undefined;
    panOnScroll: boolean | undefined;
    panOnScrollSpeed: number | undefined;
    panOnScrollMode: PanOnScrollMode | undefined;
    zoomOnDoubleClick: boolean | undefined;
}>;
export default _default;
